import React from 'react';
import ReactDOM from 'react-dom';
import '../../css/base.less';

import TopTab from './topTab.jsx';
import Footers from './bottom.jsx';
import ContentRouter from './index/content.jsx';
import LeftMenu from './index/leftMenu'
import { Layout } from 'antd';
const { Header, Footer, Sider, Content } = Layout;

ReactDOM.render(
    <div className="wrap clearfix">
        <Header>
            <TopTab/>
        </Header>
        <Layout>
            <Sider><LeftMenu /></Sider>
            <Content><ContentRouter /></Content>
        </Layout>
        <Footers />
    </div>,
    document.getElementById('root')
)