import React from 'react';
import { Modal, Spin } from 'antd';
import DemandDetaiel from '@/administration/achievement/achievementDetaiel';

class DemandDesc extends React.Component {
	constructor(props) {
		super(props);
		this.state = {
			loading: false,
			pictureUrl: [],
			showState:false
		};
	}
	handleCancel() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, false);
	}
	handOk() {
		this.setState({
			visible: false,
		});
		this.props.closeDesc(false, true);
	}
	componentWillReceiveProps(nextProps) {
		this.state.visible = nextProps.showDesc;

	}
	render() {
		let data = this.props.data || {releaseStatus:0};
		return (
			<div className="patent-desc">
				<Modal
					maskClosable={false}
					visible={this.state.visible}
					onOk={this.handOk.bind(this)}
					onCancel={this.handleCancel.bind(this)}
					width="1000px"
					title='需求详情'
					footer=""
					className="admin-desc-content"
				>
					<div>
						<div>
							<DemandDetaiel
							    examineState={this.props.examineState}
								closeDesc={this.handleCancel.bind(this)}
								data={this.props.data}
								demandTypeOption={this.props.demandTypeOption}
								visible={this.state.visible}
								handOk={this.handOk.bind(this)}
							/>
						</div>
					</div>
				</Modal>
			</div>
		);
	}
}

export default DemandDesc;
